Retrieves the job_estimated_quantity with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_estimated_quantity| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| estimated_quantity |
Estimated quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| article_id |
Foreign key of the article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| reference_back_office |
The Id/Ref of the back office for this job. Used by Embedded entity |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "21db6ce3-c139-4572-94c6-fd4041f440b8",
"estimated_quantity": 2.0,
"article_id": "c4f522ce-61fb-44a5-b323-cb2b1d79f7dc",
"article_code": "sample string 4",
"article": {
"id": "539a02c5-d1d4-47d2-afae-d7c1d4dac00a",
"article_category_id": "96b519af-9e8f-426f-b2d3-489cbdc4bfdc",
"article_category": {
"id": "a6853117-91ba-407e-83ab-199cf9c02b6b",
"parent_id": "1fb2b58f-65a3-49d3-849f-092758945c71",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-09T00:19:07.2091489+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "5286e5f2-a4b3-4d58-8112-c97b84157148",
"article_group_1_code": "sample string 5",
"article_group_2_id": "b9fcae5b-4637-4817-92f1-f5a95cbc51d2",
"article_group_2_code": "sample string 7",
"article_group_3_id": "57ff3f02-f1fd-41b2-b0ac-90cfa0e6ed41",
"article_group_3_code": "sample string 9",
"article_group_4_id": "c8e239ff-d832-4a39-af22-24637076b498",
"article_group_4_code": "sample string 11",
"article_group_5_id": "cbc7a9c6-f8b7-4d90-bd04-774b3e751ed5",
"article_group_5_code": "sample string 13",
"article_group_6_id": "fc4066f3-ca4c-4c6d-96a6-1e06cb3e4f86",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-11-09T00:19:07.2091489+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-11-09T00:19:07.2091489+00:00",
"date_update": "2026-11-09T00:19:07.2091489+00:00",
"modified_dateutc": "2026-11-09T00:19:07.2091489+00:00",
"article_color_id": "fa330cda-0c73-410b-91e0-4b6cd874e709",
"article_color_code": "sample string 38",
"article_color": {
"id": "c4741d0b-66c8-4355-9bf6-eca0fd67cee1",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-11-09T00:19:07.2091489+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "52ad6b9d-5429-423c-a7d6-97a90127e1dc",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "260c5eea-9fc4-4aac-8256-e515397bb560",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"jobs_id": "17a91c57-ce60-4620-a77c-f85b5c1926b2",
"jobs_reference_back_office": "sample string 6",
"jobs": {
"id": "35110ca0-10d4-4a7e-948e-9b5488e4de97",
"_parent_id": "5e43482f-33f9-42f7-9144-5f9f36ba7de9",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "e6fbaceb-3339-4fe6-9266-cea1c79aa520",
"project_reference_back_office": "sample string 5",
"project": {
"id": "3b387b3d-cf55-46c5-8b41-8ce84967ac1a",
"_parent_id": "b072ddbd-b8d4-4745-b8ca-240dceb20a61",
"root_parent_id": "65f0c9b7-a73f-4f55-b72e-2c283ba29b29",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "96f861fc-e8e5-4a59-88f5-f3900621d89e",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "16498c4d-f743-49ef-947e-4d8342a13f89",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "a64c90ee-20c8-42bb-a8cd-5f3daf47d06f",
"_parent_code": "sample string 6",
"sales_organization_id": "4e2a23d4-2f83-4eb3-8520-328c7c60d462",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "650cfee7-cf49-432d-9a0c-f5e5051f5d8b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a16e2595-5a23-4fec-b36b-8ff574072f54",
"db_currency_id": "040e452b-2b7c-425d-9e0f-c6e83684929a",
"db_language_id": "9f61402d-6144-4506-a499-11d54bb97951",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-09T00:19:07.2274732+00:00"
},
"modified_dateutc": "2026-11-09T00:19:07.2274732+00:00"
},
"equipment_model_id": "f9ec8d0d-e42e-46a2-a7b5-015b80ba35d1",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "4baee299-b3e2-4582-92d5-a887949c50de",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "6251c771-226c-4846-a249-246eda90d4ef",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "e6bbdc7d-6a4f-41a1-8f13-8e5ed1edd68c",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "3f7b5ec8-f1f5-495d-a643-a11edb54bb7f",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "650cfee7-cf49-432d-9a0c-f5e5051f5d8b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a16e2595-5a23-4fec-b36b-8ff574072f54",
"db_currency_id": "040e452b-2b7c-425d-9e0f-c6e83684929a",
"db_language_id": "9f61402d-6144-4506-a499-11d54bb97951",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-09T00:19:07.2274732+00:00"
},
"modified_dateutc": "2026-11-09T00:19:07.2274732+00:00"
},
"equipment_family_id": "e59b3bb3-fbfe-473e-8464-b44e16bb4d9d",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "16498c4d-f743-49ef-947e-4d8342a13f89",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "a64c90ee-20c8-42bb-a8cd-5f3daf47d06f",
"_parent_code": "sample string 6",
"sales_organization_id": "4e2a23d4-2f83-4eb3-8520-328c7c60d462",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "650cfee7-cf49-432d-9a0c-f5e5051f5d8b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a16e2595-5a23-4fec-b36b-8ff574072f54",
"db_currency_id": "040e452b-2b7c-425d-9e0f-c6e83684929a",
"db_language_id": "9f61402d-6144-4506-a499-11d54bb97951",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-09T00:19:07.2274732+00:00"
},
"modified_dateutc": "2026-11-09T00:19:07.2274732+00:00"
},
"date_in_production_since": "2026-11-09T00:19:07.2274732+00:00",
"date_out_of_production_since": "2026-11-09T00:19:07.2274732+00:00",
"date_end_support": "2026-11-09T00:19:07.2274732+00:00",
"sales_organization_id": "ea818a6e-6fb9-47c4-80ee-178daa682525",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "650cfee7-cf49-432d-9a0c-f5e5051f5d8b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a16e2595-5a23-4fec-b36b-8ff574072f54",
"db_currency_id": "040e452b-2b7c-425d-9e0f-c6e83684929a",
"db_language_id": "9f61402d-6144-4506-a499-11d54bb97951",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-09T00:19:07.2274732+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-09T00:19:07.2274732+00:00"
},
"project_status_id": "dd5c9aec-661a-4749-bd66-a7c4b9491216",
"project_status_code": "sample string 10",
"project_status": {
"id": "6aec3534-1bb2-4522-a3e4-12ea30649c37",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "dc59101a-cb91-4fb6-8619-fdc308a3aab3",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "650cfee7-cf49-432d-9a0c-f5e5051f5d8b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a16e2595-5a23-4fec-b36b-8ff574072f54",
"db_currency_id": "040e452b-2b7c-425d-9e0f-c6e83684929a",
"db_language_id": "9f61402d-6144-4506-a499-11d54bb97951",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-09T00:19:07.2274732+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-09T00:19:07.2274732+00:00"
},
"company_id": "e9cca61e-7017-489b-8082-c2821895df69",
"company_code": "sample string 12",
"db_address_id": "f8ac9479-b41a-4132-b816-af0730dfa11c",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "a550cb3e-991f-4a1a-aea8-f21b5d758be8",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "5ab16182-0ae6-4786-bc5b-885eda13df00",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-09T00:19:07.2274732+00:00",
"date_create": "2026-11-09T00:19:07.2274732+00:00",
"date_update": "2026-11-09T00:19:07.2274732+00:00",
"updated_by_user_id": "fdcde3d6-fc4e-4fbb-8697-881a660b6a7a",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-09T00:19:07.2274732+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-09T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-09T00:19:07.2388963+00:00",
"date_last_job": "2026-11-09T00:19:07.2388963+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-09T00:19:07.2388963+00:00",
"modified_dateutc": "2026-11-09T00:19:07.2388963+00:00",
"is_mobile_installation": true
},
"job_type_id": "fe05d4f4-a73f-4a2c-b1d2-981b39689765",
"job_type_code": "sample string 7",
"job_type": {
"id": "85e735ad-7cec-48c5-8147-137f4c1caf54",
"name": "sample string 2",
"sales_organization_id": "0c595249-515f-441c-a7b1-94b147ef183c",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-09T00:19:07.2388963+00:00",
"code": "sample string 7"
},
"job_priority_id": "a876df64-9270-45f8-97e0-356a7cf4a2fa",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "8721469f-88da-46b2-8072-fd6428a5ff14",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "a1a56457-62e9-453a-81ee-db75c2385166",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "650cfee7-cf49-432d-9a0c-f5e5051f5d8b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a16e2595-5a23-4fec-b36b-8ff574072f54",
"db_currency_id": "040e452b-2b7c-425d-9e0f-c6e83684929a",
"db_language_id": "9f61402d-6144-4506-a499-11d54bb97951",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-09T00:19:07.2274732+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-09T00:19:07.2388963+00:00"
},
"job_status_id": "ce197587-4346-4518-95de-fa93b54c80d7",
"job_status_code": "sample string 11",
"db_address_id": "dd30d37e-0941-4196-95fe-71b8c0120f4c",
"contact_id": "9136ee22-05b0-4e79-8b3c-8a0073d07986",
"requested_by_company_id": "d4455afd-ca1d-4008-8bed-a9a4a415dde4",
"requested_by_contact_id": "eff148cf-cd07-4e43-bb4c-5fbd4c15d98f",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-09T00:19:07.2388963+00:00",
"due_date": "2026-11-09T00:19:07.2388963+00:00",
"date_create": "2026-11-09T00:19:07.2388963+00:00",
"date_update": "2026-11-09T00:19:07.2388963+00:00",
"date_closed": "2026-11-09T00:19:07.2388963+00:00",
"suggested_user_id": "def0d833-dc88-48e1-a421-5ed8dfb63d80",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "28007978-519b-4391-9758-0af3c783b0d0",
"db_language_id": "d518d1f8-d111-4c40-b0f4-79e43454ceb9",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-09T00:19:07.2388963+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "5cb2027e-5855-407e-a358-c7efcf404fb2",
"sales_organization": {
"id": "650cfee7-cf49-432d-9a0c-f5e5051f5d8b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a16e2595-5a23-4fec-b36b-8ff574072f54",
"db_currency_id": "040e452b-2b7c-425d-9e0f-c6e83684929a",
"db_language_id": "9f61402d-6144-4506-a499-11d54bb97951",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-09T00:19:07.2274732+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "5e3c08a9-8767-4b56-bbb3-f8306155e13e",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "4a335a8d-c1dc-465d-a086-35ae55c1b445",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-09T00:19:07.2388963+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "cb76b756-a2ab-43b3-8a98-906632191027"
},
"suggested_date_start": "2026-11-09T00:19:07.2388963+00:00",
"skill_id": "0921fac4-109e-4685-abe6-3bc15ce2bb92",
"skill_code": "sample string 32",
"skill": {
"id": "de5dfd47-5dab-470b-87a2-f4e7f70c3979",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "d71a3774-29a3-4b92-8211-7f81284ff08f",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "650cfee7-cf49-432d-9a0c-f5e5051f5d8b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a16e2595-5a23-4fec-b36b-8ff574072f54",
"db_currency_id": "040e452b-2b7c-425d-9e0f-c6e83684929a",
"db_language_id": "9f61402d-6144-4506-a499-11d54bb97951",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-09T00:19:07.2274732+00:00"
},
"modified_dateutc": "2026-11-09T00:19:07.2388963+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "7d26ffcb-377b-47d7-b5b8-91b879b47918",
"date_reported_by_company": "2026-11-09T00:19:07.2388963+00:00",
"id2": 36,
"company_id": "ccb6c5b5-6c09-4992-b4b7-bdd30818fc2a",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "bc3dd3eb-5c5b-46e1-8b6c-2a28eb1e8170",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-09T00:19:07.2388963+00:00"
},
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-09T00:19:07.2388963+00:00"
}